import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

// 获取token
export function getToken() {
  return Cookies.get(TokenKey)
}

// 设置token
export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

// 移除token
export function removeToken() {
  return Cookies.remove(TokenKey)
}

// 获取用户信息
export function getUserInfo() {
  return JSON.parse(localStorage.getItem('USER_INFO'))
}

// 保存用户信息
export function setUserInfo(userInfo) {
  // if (userInfo.token) delete userInfo.token
  localStorage.setItem('USER_INFO', JSON.stringify(userInfo))
}

// 移除用户信息
export function removeUserInfo() {
  localStorage.removeItem('USER_INFO')
}

// 跳转页面判定
export function initGoPage() {
  const userInfo = getUserInfo()
  if (!userInfo) {
    return '/404'
  }
  return userInfo.userIdentity === 1 ? '/supplier/list' : '/club'
}
